int T = int.Parse(Console.ReadLine());
int[] n = new int[T];
int[] m = new int[T];
for (int i =0; i<T; i++)
{
    string[] unos = (Console.ReadLine()).Split(' ');
    n[i] = int.Parse(unos[0]);
    m[i] = int.Parse(unos[1]);
}

for(int i = 0; i < T; i ++)
{
    if (n[i] != m[i])
    {
        Console.WriteLine("-1");
    }
     
}